package main;



import stage.Stage1;
import main.Main;
import densan.s.game.drawing.Drawer;
import densan.s.game.manager.GameManager;
import densan.s.game.manager.Updatable;

public class Main implements Updatable{
	
	private static Scene nowScene;
	
	public Main(){
		//最初にこの部分のクラスの表示が行われる
		nowScene = new Stage1();
	}

	@Override
	public void update() {
		nowScene.update();
	}
	
	public static void changeScene(Scene scene){
		nowScene = scene;
	}
	
	public static Scene getNowScene(){
		return nowScene;
	}
	
	@Override
	public void draw(Drawer d) {
		nowScene.draw(d);
	}
	
	public static void main(String[] args) {
		GameManager manager = GameManager.getInstance();
		manager.createFrame(700,500 ,"ブロック崩し");
		manager.setUpdatable(new Main());
	}

	
}
