package stage;

import object.Block;
import densan.s.game.manager.GameManager;


public class Stage3 extends MainStage {
	
	// ブロックの行数
    private static final int NUM_BLOCK_ROW = 10;
    // ブロックの列数
    private static final int NUM_BLOCK_COL = 7;
	
	public Stage3(){
		super(NUM_BLOCK_ROW * NUM_BLOCK_COL,3);
		
		//ブロックを並べる
		for(int i=0;i<NUM_BLOCK_ROW;i++){
			for(int j=0;j<NUM_BLOCK_COL;j++){
				int x = j*Block.WIDTH + GameManager.getInstance().getFrameWidth()/7;
                int y = i * Block.HEIGHT + GameManager.getInstance().getFrameHeight()/10;
                block[i * NUM_BLOCK_COL + j] = new Block(x, y);
			}
		}
	}

	@Override
	public MainStage nowStage() {
		return this;
	}

	@Override
	public MainStage newStage() {
		return new Stage3();
	}

	@Override
	public MainStage nextStage() {
		return null;
	}

}
