package stage;

import object.Block;
import densan.s.game.manager.GameManager;

public class Stage2 extends MainStage{

	// ブロックの行数
    private static final int NUM_BLOCK_ROW = 2;
    // ブロックの列数
    private static final int NUM_BLOCK_COL = 2;
	
	public Stage2() {
		super(NUM_BLOCK_ROW*NUM_BLOCK_COL*3, 2);
		
		int x=0;
		int y=0;
		for(int i=0;i<NUM_BLOCK_ROW;i++){
			for(int j=0;j<NUM_BLOCK_COL;j++){
				x = (GameManager.getInstance().getFrameWidth()-BOARD_WIDTH)/3+(j-2)*Block.WIDTH;
				y = GameManager.getInstance().getFrameHeight()*2/5+i*Block.HEIGHT;
				block[i * NUM_BLOCK_COL + j] = new Block(x,y);
			}
		}
		for(int i=0;i<NUM_BLOCK_ROW;i++){
			for(int j=0;j<NUM_BLOCK_COL;j++){
				x = (GameManager.getInstance().getFrameWidth()-BOARD_WIDTH)*2/3+j*Block.WIDTH;
				y = GameManager.getInstance().getFrameHeight()*2/5+i*Block.HEIGHT;
				block[(i+NUM_BLOCK_ROW) * NUM_BLOCK_COL + j] = new Block(x,y);
			}
		}
		for(int i=0;i<NUM_BLOCK_ROW;i++){
			for(int j=0;j<NUM_BLOCK_COL;j++){
				x = (GameManager.getInstance().getFrameWidth()-BOARD_WIDTH)/2+(j-1)*Block.WIDTH;
				y = GameManager.getInstance().getFrameHeight()/5+i*Block.HEIGHT;
				block[(i+NUM_BLOCK_ROW*2) * NUM_BLOCK_COL + j] = new Block(x,y);
			}
		}
	}

	@Override
	public MainStage nowStage() {
		return this;
	}

	@Override
	public MainStage newStage() {
		return new Stage2();
	}

	@Override
	public MainStage nextStage() {
		return new Stage3();
	}

}
