package stage;

import object.Block;
import densan.s.game.manager.GameManager;

public class Stage4 extends MainStage{

	// ブロックの行数
    private static final int NUM_BLOCK_ROW = 4;
    // ブロックの列数
    private static final int NUM_BLOCK_COL = 10;
    
    
	public Stage4() {
		super(NUM_BLOCK_ROW*NUM_BLOCK_COL, 4);
		
		int x=0;
		int y=0;
		for(int i=0;i<NUM_BLOCK_ROW;i++){
			for(int j=0;j<NUM_BLOCK_COL;j++){
				if(i%2==0){
					x = GameManager.getInstance().getFrameWidth() -BOARD_WIDTH-(j+1)*Block.WIDTH;
					y = GameManager.getInstance().getFrameHeight()*i/5;
				}else if(i%2==1){
					x = j*Block.WIDTH;
					y = GameManager.getInstance().getFrameHeight()*i/5;
				}
				block[i * NUM_BLOCK_COL + j] = new Block(x,y);
					
			}
		}
	}

	@Override
	public MainStage nowStage() {
		return this;
	}

	@Override
	public MainStage newStage() {
		return new Stage4();
	}

	@Override
	public MainStage nextStage() {
		return null;
	}

}
